scala.tools.nsc.typechecker.ContextErrors.NamerContextErrors.NamerErrorGen

# SymValidateErrors

#### object SymValidateErrors extends Enumeration

Source
  ContextErrors.scala

Linear Supertypes
Enumeration, Serializable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SymValidateErrors
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

2. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val AbstractNonClass: Value

5. #### val AbstractOverride: Value

6. #### val AbstractOverrideOnTypeMember: Value

7. #### val AbstractVar: Value

8. #### val ByNameParameter: Value

9. #### val ImplicitAtToplevel: Value

10. #### val ImplicitConstr: Value

11. #### val ImplicitNotTermOrClass: Value

12. #### val LazyAndEarlyInit: Value

13. #### val OverrideClass: Value

14. #### val OverrideConstr: Value

15. #### val SealedNonClass: Value

16. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

17. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

18. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

19. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

20. #### object ValueSet extends Serializable

    Definition Classes
      Enumeration

21. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

22. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

23. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def maxId: Int

    Definition Classes
      Enumeration

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

33. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

39. #### def values: ValueSet

    Definition Classes
      Enumeration

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped